Raspberry Pi help please

Support for running, installing or compiling OpenMW

Before you submit a bug report for the first time, please read: Bug reporting guidelines
Post Reply
Hrdwarhax
Posts: 3
Joined: 01 May 2017, 17:21

Raspberry Pi help please

Post by Hrdwarhax » 02 May 2017, 18:03

I start by declaring that I have asked this on the raspberry pi forums already but have gotten no answer.

I am very much new to Linux to please bear with me.

I have been trying to follow a few guides for how to make openmw run on my Raspberry Pi3. It is my understanding that our Raspbian jessie is Debian based (sorta in the name ) but do I have to do anything crazy to make the Debian installation process work? I tried adding the deb mentioned here viewtopic.php?f=8&t=2850&start=50 to my sources.list file then sudo apt-get update, but nothing was downloaded and it said I didn't have some key to retrieve anything. then when I tried to use aptitude to install open mw, the same thing happened: nothing.

I have also tried downloading the master from the GitHub. that gives me a folder full of files once extracted that I don't know what to do with. when I try to launch the launcher it says that location or file is not a valid thing. am I supposed to extract to a specific place?

also from what I have seen, people have gotten openmw running on a raspi 2 but had to download graphical things that are now in standard raspbian builds.

I have been able to install morrowind using wine. and I can get it to run but its unplayably slow.
my end goal is to have something akin to this but for morrowind. (obviously with some input device other than a touchscreen.) https://www.youtube.com/watch?v=qh4U9kan8uM

I also have exagear desktop on the Pi (have fallout 1 playable in wine) if that can help anything

I will answer any and all questions but I may need help with finding the answers. :) Thanks for your time

User avatar
psi29a
Posts: 3432
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: Raspberry Pi help please

Post by psi29a » 02 May 2017, 18:20

Normally I'd tell you to do this:
sudo apt-add-repository ppa:openmw/openmw
sudo apt install openmw openmw-launcher
but sadly, this for Ubuntu but the armhf packages are there.

It is best if you follow this:
https://wiki.openmw.org/index.php?title ... an_Stretch

Hrdwarhax
Posts: 3
Joined: 01 May 2017, 17:21

Re: Raspberry Pi help please

Post by Hrdwarhax » 18 May 2017, 13:06

alright, I finally had a chance to try that out last night. I'm paraphrasing the Pi's reply to that input but I will report the full message when I can.

It said there were dependencies to libopenscenegraph-3.4-dev that were not found and wouldn't be downloaded. How do I proceed? do I go about acquiring the dependencies and try again?

User avatar
psi29a
Posts: 3432
Joined: 29 Sep 2011, 10:13
Github profile: https://github.com/psi29a/
Contact:

Re: Raspberry Pi help please

Post by psi29a » 18 May 2017, 13:30

In the PPA i listed above, I've built armhf osg-3.4 packages. I'm not entirely sure, but maybe, just maybe, you can download those debs and install them on the RPi.

If not, you'll have to build osg-3.4 yourself.

Sadly my RPi2 is now running Kodi17 and RetroPie

Hrdwarhax
Posts: 3
Joined: 01 May 2017, 17:21

Re: Raspberry Pi help please

Post by Hrdwarhax » 18 May 2017, 19:22

I will certainly let you know how it goes.
I dont know what building even means so i hope it works lol.
I have 3 pis right now, one is destine to be a MAME box, one is a portable retropi with kodi, one is set to be a fallout 1 machine and this one is for morrowind. The bright side is there is always another purpose for one if i cant MW working.


Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests